{% extends "base.html" %}
{% load static %}
{% load i18n %}
{% load crispy_forms_tags %}

{% block title %}{% trans 'Create Votation' %}{% endblock %}
{% block extra_head %}
    <script src="/static/js/jquery.formset.js"></script>
{{ form.media }}
<script type="text/javascript">
    $(function() {
        $('#id_choices_table tbody tr').formset({
            // For inline formsets, be sure to set the prefix, as the default prefix
            // ('form') isn't correct.
            // Django appears to generate the prefix from the lowercase plural
            // name of the related model, with camel-case converted to underscores.
            prefix: 'votationchoice_set',
            deleteCssClass: 'btn btn-danger',
            deleteText: '',
            addText: 'btn btn-success'
        })
    })
</script>
<style type="text/css">
    .delete-row {
        margin-left:5px;
    }
</style>
{% endblock %}

{% block content %}
<div class="container">
    <div class="row no-gutters card-row">
        <div class="col-12 col-sm-9 col-lg-6 mx-auto my-auto">
            <div class="card">
                <div class="card-header">
                    <h1 class="text-center">{% trans 'Create Votation' %}</h1>
                </div>
                <div class="card-body">
                    <form novalidate method="post">
                        {% csrf_token %}
                        {% if choices.non_form_errors %}
                            {% for error in choices.non_form_errors %}
                            <div class="alert alert-block alert-danger"> <ul class="m-0"> <li>{{error|escape}}</li> </ul> </div>
                            {% endfor %}
                        {% endif %}

                        {{ form|crispy }}
                        <hr>
                        <table id="id_choices_table" border="0" cellpadding="0" cellspacing="5" width="100%">
                            <thead>
                                <tr>
                                    <th scope="col">Choices</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for form in choices.forms %}
                                <tr id="{{ form.prefix }}-row">
                                    <td>
                                        {% for fld in form.hidden_fields %}{{ fld }}{% endfor %}
                                        {% if form.instance.pk %}{{ form.DELETE }}{% endif %}
                                        {{ form.name.errors.as_ul }}
                                        <div class="input-group">
                                            {{ form.name.as_widget }}
                                            <div class="input-group-append"><button class="btn btn-danger" type="button" onclick="javascript:void(0)"><i class="fas fa-minus"></i></button></div>
                                        </div>
                                        <br>
                                    </td>
                                </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                        {{ choices.management_form }}
                        <br>
                        <div class="d-flex justify-content-between" style="flex-wrap: wrap;">
                            <div>
                                <a class="btn btn-secondary {% if not request.GET.next %}disabled{% endif %}" href="{{ request.GET.next }}">
                                    <i class="fas fa-arrow-left"></i>
                                </a>
                            </div>
                            <div>
                                {% block extra_form_buttons %}{% endblock extra_form_buttons %}
                                <button type="submit" class="btn btn-primary">
                                    <i class="fas fa-check fa-fw mr-1"></i>{% trans "Submit" %}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}